# Hysteria - sing-box
The universal proxy platform.
Author: nekohasekai

Skip to content

# Hysteria

### Structure

    {
      "type": "hysteria",
      "tag": "hysteria-in",

      ... // Listen Fields

      "up": "100 Mbps",
      "up_mbps": 100,
      "down": "100 Mbps",
      "down_mbps": 100,
      "obfs": "fuck me till the daylight",

      "users": [
        {
          "name": "sekai",
          "auth": "",
          "auth_str": "password"
        }
      ],

      "tls": {},

      ... // QUIC Fields

      // Deprecated

      "recv_window_conn": 0,
      "recv_window_client": 0,
      "max_conn_client": 0,
      "disable_mtu_discovery": false
    }

### Listen Fields

See Listen Fields for details.

### Fields

#### up, down

Required

Format: `[Integer] [Unit]` e.g. `100 Mbps, 640 KBps, 2 Gbps`

Supported units (case sensitive, b = bits, B = bytes, 8b=1B):

    bps (bits per second)
    Bps (bytes per second)
    Kbps (kilobits per second)
    KBps (kilobytes per second)
    Mbps (megabits per second)
    MBps (megabytes per second)
    Gbps (gigabits per second)
    GBps (gigabytes per second)
    Tbps (terabits per second)
    TBps (terabytes per second)

#### up_mbps, down_mbps

Required

`up, down` in Mbps.

#### obfs

Obfuscated password.

#### users

Hysteria users

#### users.auth

Authentication password, in base64.

#### users.auth_str

Authentication password.

#### tls

Required

TLS configuration, see TLS.

### QUIC Fields

See QUIC Fields for details.

### Deprecated Fields

#### recv_window_conn

Deprecated in sing-box 1.14.0

Use QUIC fields `stream_receive_window` instead.

#### recv_window_client

Deprecated in sing-box 1.14.0

Use QUIC fields `connection_receive_window` instead.

#### max_conn_client

Deprecated in sing-box 1.14.0

Use QUIC fields `max_concurrent_streams` instead.

#### disable_mtu_discovery

Deprecated in sing-box 1.14.0

Use QUIC fields `disable_path_mtu_discovery` instead.